[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Make org.eclipse.equinox.p2.publisher depend on org.eclipse.osgi

I hadn't realized the implications of the fix https://git.eclipse.org/r/#/c/32850/ included a hard dependency on org.eclipse.osgi.  It should have been obvious to me.

I think there are other dependencies on the equinox framework that prevent p2 from running on other frameworks.  This will add another one.  I know there have been efforts in the past to get p2 to work on other frameworks but I don't know the status of such work.  Ian or Pascal, do what are your thoughts here.  The other option is to just make sure the profiles in p2 are always upto date each release.

Tom





From:        "Oberlies, Tobias" <tobias.oberlies@xxxxxxx>
To:        "p2-dev@xxxxxxxxxxx" <p2-dev@xxxxxxxxxxx>
Date:        09/11/2014 10:12 AM
Subject:        [p2-dev] Make org.eclipse.equinox.p2.publisher depend on        org.eclipse.osgi
Sent by:        p2-dev-bounces@xxxxxxxxxxx




Hi p2 community,
 
In order to fix bug 427123, Iâm proposing to require the bundle org.eclipse.osgi, i.e. Eclipseâs OSGi framework bundle, from org.eclipse.equinox.p2.publisher. This would mean that org.eclipse.equinox.p2.publisher wouldnât run with other OSGi frameworks any more.
 
Is this an issue for anyone?
 
For details on the proposed change, see https://git.eclipse.org/r/#/c/32850/
 
Regards
Tobias
 _______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/p2-dev